def amplitude_to_DB(x: Tensor,
    multiplier: float,
    amin: float,
    db_multiplier: float,
    top_db: Optional[float]=None) -> Tensor:
  x_db = torch.mul(torch.log10(torch.clamp(x, amin)), multiplier)
  x_db0 = torch.sub_(x_db, torch.mul(multiplier, db_multiplier))
  if torch.__isnot__(top_db, None):
    top_db0 = unchecked_cast(float, top_db)
    shape = torch.size(x_db0)
    if torch.gt(torch.dim(x_db0), 2):
      packed_channels = shape[-3]
    else:
      packed_channels = 1
    _0 = [-1, packed_channels, shape[-2], shape[-1]]
    x_db2 = torch.reshape(x_db0, _0)
    _1 = torch.sub(torch.amax(x_db2, [-3, -2, -1]), top_db0)
    x_db3 = torch.max(x_db2, torch.view(_1, [-1, 1, 1, 1]))
    x_db1 = torch.reshape(x_db3, shape)
  else:
    x_db1 = x_db0
  return x_db1
